--[[
=============================================
themes.lua by Cancan

Themes handling for Vexed

Email: cancangm (at) gmail (dot) com
=============================================
]]

--- Read the colors and pictures of a theme

function ReadTheme()

  --- Read the colors setup

  dofile("./themes/" .. themes.name .. "/colors.ini")

  --- Pictures

  background = Image.load("./themes/" .. themes.name .. "/background.png")
  selection= Image.load("./themes/" .. themes.name .. "/selection.png")
  prefs= Image.load("./themes/" .. themes.name .. "/preferences.png")
  tiles = Image.load("./themes/" .. themes.name .. "/tiles.png")
  board = Image.createEmpty(480, 272)
  boardsel = Image.createEmpty(selection:width(), selection:height())
  boardpref = Image.createEmpty(prefs:width(), prefs:height())
  boardtiles = Image.createEmpty(250, 200)
  boardback = Image.createEmpty(250, 200)

end
